# Generated by Django 4.0.3 on 2022-05-12 23:31

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AutomobileVO',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('import_href', models.CharField(max_length=200, unique=True)),
                ('vin', models.CharField(default=False, max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Technician',
            fields=[
                ('name', models.CharField(max_length=200)),
                ('employee_number', models.PositiveIntegerField(primary_key=True, serialize=False)),
            ],
        ),
        migrations.CreateModel(
            name='Service',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vin', models.CharField(max_length=17)),
                ('owner_name', models.CharField(max_length=200)),
                ('date_of_service', models.DateField(null=True)),
                ('time_of_service', models.TimeField(null=True)),
                ('reason_for_service', models.CharField(max_length=200)),
                ('vip', models.BooleanField(default=False)),
                ('completed', models.BooleanField(default=False)),
                ('technician', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='technician', to='service_rest.technician')),
            ],
        ),
    ]
